Subject: bug#8857: display-buffer attempt to pop-up frame in batch mode causes "Unknown terminal type" error

From: Stefan Monnier <[email-masked]>
Date: Thu, 16 Jun 2011 10:17:02 -0400

> IIRC the default was nil.  'graphic-only was IMHO a not very
> well-conceived idea because it didn't inhibit applications to rebind
> this to t.  I've never seen a `pop-up-frames' rebinding function care
> about this issue.

graphics-only was a quick fix for people who want to set pop-up-frames
in their .emacs but get annoyed when they tty-emacsclient end up popping
up frames as well.

> In any case, we could conceive an additional variable (not necessarily
> an option), say `display-buffer-pop-up-frame-graphic-only', which, if
> non-nil, effectively inhibits popping up a new frame on non-graphic
> systems, overriding any value calculated from buffer display specifiers
> and `pop-up-frames'.

More generally we want to specify different display-buffer behaviors for
tty (where frames are fully-overlapping) and graphic terminals (where
several frames may be visible at the same time).

        Stefan